下面的方案二选一即可,推荐第二个方案maven配置。

Idea三处修改

  • project structure中的project ,SDK选择1.8,Project language level选择8
  • project structure中的module,选择Language level为8
  • setting中的java compiler

project.png

module.png

compile.png

maven配置

1
2
3
4
5
6
7
8
9
10
11
12
13
14
<!--控制项目的language level和compile 版本-->
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.3.2</version>
<configuration>
<source>1.8</source>
<target>1.8</target>
</configuration>
</plugin>
</plugins>
</build>